<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.clients.web.Base"
	import="net.sf.basedb.clients.web.util.HTML"
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
	import="net.sf.basedb.util.Values"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
%>
<base:page type="default" >
<base:head 
	scripts="~../reggie-2.js,~retraction_destruct_form.js" 
	styles="path.css,~../css/reggie-2.css"
>
<style>

#retractionItemsTable2
{
	width: 100%; 
	border-collapse: collapse;
}

#retractionItemsTable2 thead
{
	border-bottom-width: 1px;
}


#retractionItemsTable2 th
{
	text-align: left;
	padding: 2px 2px 2px 4px;
}

#retractionItemsTable2 td
{
	text-align: left;
	min-width: 4.5em;
	padding: 1px 2px 1px 4px;
}

#retractionItemsTable2 .index
{
	text-align: right;
	min-width: 4em;
	padding-right: 0.5em;
	background-color: #F8F8F8;
	color: #000000;
}

#retractionItemsTable2 tr.no-delete 
{
	background-color: #C80000;
	color: #ffffff;
	font-weight: bold;
}


#retractionItemsTable2 .no-delete .index
{
	background-image: url('../images/error.png');
	background-repeat: no-repeat;
	background-position: 2px 50%;
}


</style>
</base:head>
<base:body>

	<p:path><p:pathelement id="reggie-index"
		title="Reggie" href="<%="../index.jsp?ID="+ID%>" 
		/><p:pathelement title="Retraction destruction" 
		/></p:path>

	<div class="content">
	<form name="reggie" id="wizard" class="wizard">

		<div class="step" id="step-1">
			<div class="step-no">1</div>
			<div class="step-title">Enter Case Name or Personal Number</div>
			<div class="step-content">

				<table class="step-form">
				<tr>
					<td class="prompt">Case name or personal number</td>
					<td class="input"><input type="text" name="caseName" id="caseName"
						class="required auto-init" data-auto-init="focus"
						style="width: 12em;" maxlength="12"></td>
					<td class="status" id="caseName.status"></td>
					<td class="help">
						<span id="caseName.message" class="message"></span>
						The 7-digit case (barcode) associated with the case, or personal number (YYYYMMDDZZZZ).
					</td>
				</tr>
				</table>

			</div>
		</div>

		<div class="step" id="step-2">
			<div class="step-no">2</div>
			<div class="step-title">Retraction destruction</div>
			<div class="step-content">
				<div id="retractTable"></div>
			</div>
		</div>

		<div id="wizard-status"></div>

		<table class="navigation" id="navigation">
		<tr>
			<td><base:button id="gonext" title="Next" image="<%=home+"/images/gonext.png"%>" /></td>
			<td><base:button id="gocancel" title="Cancel" /></td>
			<td><base:button id="goregister" title="Register" image="<%=home+"/images/gonext.png"%>" /></td>
			<td><base:button id="gorestart" title="Restart" image="<%=home+"/images/goback.png"%>" /></td>
			<td id="gonext-message" class="message"></td>
		</tr>
		</table>
	
	</form>
	</div>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>